Skip to content

List images

GET
/image

Returns non-deleted images ordered by creation date descending. Pagination defaults to offset 0 and limit 24; the backend clamps limit to 24.

Parameters

Query Parameters

offset

Number of rows to skip.

Type
integer
Format
"int32"
Minimum
0
Default
0
limit

Maximum number of rows. The backend caps this value at 24.

Type
integer
Format
"int32"
Minimum
1
Maximum
24
Default
24

Responses

Image page

application/json
JSON
{
  
"error": "string",
  
"data": {
  
  
"total": 0,
  
  
"images": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"imageUrl": "string",
  
  
  
  
"imageKey": "string",
  
  
  
  
"userId": 0,
  
  
  
  
"currentVersionId": 0,
  
  
  
  
"text": "string",
  
  
  
  
"rating": "string"
  
  
  
}
  
  
]
  
}
}

Playground

Variables
Key
Value

Samples

Powered by VitePress OpenAPI